Loading...
Searching...
No Matches
wordbreakdef.h File Reference

Definitions of internal data structures, declarations of global variables, and function prototypes for the word breaking algorithm. More...

`#include "unibreakdef.h"`
Include dependency graph for wordbreakdef.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | WordBreakProperties
| Struct for entries of word break properties. More...

## Enumerations

enum | WordBreakClass { WBP_Undefined , WBP_CR , WBP_LF , WBP_Newline , WBP_Extend , WBP_ZWJ , WBP_Regional_Indicator , WBP_Format , WBP_Katakana , WBP_Hebrew_Letter , WBP_ALetter , WBP_Single_Quote , WBP_Double_Quote , WBP_MidNumLet , WBP_MidLetter , WBP_MidNum , WBP_Numeric , WBP_ExtendNumLet , WBP_WSegSpace , WBP_Any }
| Word break classes. More...

## Detailed Description

Definitions of internal data structures, declarations of global variables, and function prototypes for the word breaking algorithm.

Author
  Tom Hacohen

## Enumeration Type Documentation

## WordBreakClass

enum WordBreakClass

Word break classes.

This is a direct mapping of Table 3 of Unicode Standard Annex 29, Revision 35.

Enumerator
WBP_Undefined |
WBP_CR |
WBP_LF |
WBP_Newline |
WBP_Extend |
WBP_ZWJ |
WBP_Regional_Indicator |
WBP_Format |
WBP_Katakana |
WBP_Hebrew_Letter |
WBP_ALetter |
WBP_Single_Quote |
WBP_Double_Quote |
WBP_MidNumLet |
WBP_MidLetter |
WBP_MidNum |
WBP_Numeric |
WBP_ExtendNumLet |
WBP_WSegSpace |
WBP_Any |